main.cursos {
    background-image: url("../img/cursos/background.webp");
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
    position: relative;
}
main.cursos::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 5%;
    background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
    pointer-events: none;
}
main.cursos .content {
    padding: 2rem 1rem;
    color: var(--color-blue);
    font-size: 0.9rem;
    font-weight: 500;
    line-height: 1.3;
}
main.cursos .area-text h1.title {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1.2;
    padding: 1rem;
    border-radius: 10px;
    background-color: var(--color-blue);
    color: #fff;
    text-align: center;
    max-width: 800px;
    margin: 1rem auto 2rem;
}
main.cursos .area-text-curso p {
    font-size: 1rem;
    font-weight: 500;
    text-align: left;
    margin-bottom: 1rem;
}
main.cursos .area-text-curso li {
    list-style: disc;
    margin-left: 1rem;
    font-size: 1rem;
    font-weight: 500;
}
main.cursos .area-text-curso ul {
    margin-bottom: 1rem;
}
main.cursos a.btn-buy {
    font-size: 1.5rem;
    line-height: 1.2;
    text-transform: uppercase;
    font-weight: 700;
    color: #fff;
    background-color: var(--color-bege);
    padding: 10px 2rem;
    display: flex;
    margin: 0 auto;
    max-width: max-content;
    -webkit-box-shadow: 2px 10px 4px 3px rgba(0,0,0,0.15); 
    box-shadow: 2px 10px 4px 3px rgba(0,0,0,0.15);
    position: relative;
}
main.cursos a.btn-buy:hover {
    transition: .2s;
    background-color: var(--color-ciano);
}
main.cursos a.btn-buy::before {
    content: "";
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(120deg, transparent 0%, rgba(255, 255, 255, 0.5) 50%, transparent 100%);
    transform: skewX(-25deg);
    animation: shine 4s infinite;
    pointer-events: none;
}

@keyframes shine {
    0% {
        left: -75%;
    }
    50% {
        left: 125%;
    }
    100% {
        left: 300%;
    }
}
@media (min-width: 1000px) {
    main.cursos .area-text h1.title {
        margin: 2.5rem auto 2rem;
    }
}
@media (max-width: 700px) {
    main.cursos .area-text h1.title {
        font-size: 1.25rem;
    }
}